namespace SafeCampus.System;
[SugarTable("ClassTeacher", TableDescription = "班主任表")]
[Tenant(SqlSugarConst.DB_DEFAULT)]
[BatchEdit]
[CodeGen]
[IgnoreInitTable]
public class ClassTeacher : PrimaryKeyEntity
{
    /// <summary>
    /// 班主任用户id
    /// </summary>
    [SugarColumn(ColumnName = "UserId", ColumnDescription = "班主任用户id", IsNullable = false)]
    public long UserId { get; set; }
    /// <summary>
    /// 班级id
    /// </summary>
    public string PersonSetId { get; set; }
    /// <summary>
    /// 班主任信息
    /// </summary>
    [Navigate(NavigateType.OneToOne, nameof(UserId), nameof(SysUser.Id))]
    public SysUser SysUserItem  { get; set; }
}